Subject: bug#75930: 30.0.92; Setting default frame background color messes up mouse pointer

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Jan 2025 21:58:44 +0200

> From: [email-masked]
> Cc: [email-masked]
> Date: Wed, 29 Jan 2025 20:49:37 +0100
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> > Thanks, but I cannot reproduce this with the latest emacs-30 branch.
> > Please show all of the data collected by "M-x report-emacs-bug" about
> > your system and Emacs build configuration, perhaps what you see is
> > specific to some particular build.
> 
> Sure I'll post it below. I'm posting the output as shown in emacs -Q,
> since the bug isn't related to anything from my config/installed
> packages.
> 
> I don't think this is related to a specific build, since it looks like
> the bug has been present since at least 2018:
> https://github.com/ch11ng/exwm/issues/513
> 
> Something that might be relevant is that I don't use any desktop
> environment or login manager, but instead start my window manager
> directly using startx. (The window manager I usually use is Emacs with
> EXWM, but I have verified that I can reproduce from i3wm as well.)
> 
> I think desktop environments are likely to also meddle with the mouse
> pointer, so if you are running one of those it will probably
> mask/override the behaviour I'm seeing.
> 
> 
> 
> Data from "M-x report-emacs-bug" follows:

Thanks.  I wonder whether this is window-manager specific, even if not
exwm-specific